<html>
<head>
<title>WebDataplot</title>
</head>
<body bgcolor="#ffffff" >
<h2><a href="http://www.itl.nist.gov/"><img src="http://www.itl.nist.gov/itlimage/headsm1.gif" align=middle width=72 height=42 alt=ITL border=0></a>&nbsp;&nbsp;WebDataplot</h2>
<hr noshade>
<p>This is an implementation of <a href="http://www.itl.nist.gov/div898/software/dataplot.html/">Dataplot</a>  on a web page using CGI scripts written in <a href="http://www.nist.gov/msidstaff/libes/">Tcl</a> with the  <a href="http://expect.nist.gov/cgi.tcl/">Tcl/CGI</a> library from <a href="http://www.nist.gov/msidstaff/libes/">Don Libes</a>.  <a href="http://expect.nist.gov/">Expect</a>  is used to interact with Dataplot.  A <a href="http://math.nist.gov/mcsd/Staff/RLipman/cgi-bin/wdp.cgi">sample of the code</a> used to generate this  web page is available.</p>
<p>There are three example sets of Dataplot commands.  The first  dataset does a simple 4-plot.  To change the dataset that is read in,  change <samp>SUNSPOT2.DAT</samp> to <samp>MAVRO.DAT</samp> or  <samp>LEW.DAT</samp>.</p>
<p>Examples 2 and 3 are from <a href="http://larch.cam.nist.gov/~filliben/">Jim Filliben</a>.</p>
<p>To run your own example, enter commands in Example 4.</p>
<p>To minimize the amount of text output, select <samp>FEEDBACK OFF</samp>.</p>
<br>
<h3>Example 1</h3>
<form action="http://lime.cam.nist.gov/cgi-bin/wdpi.cgi" method=post>
<table cellpadding=10>
<tr>
<td>
<textarea name="dpcmds" rows=15 cols=35 rows=15 cols=35>
DELETE Y
SKIP 25
READ SUNSPOT2.DAT Y
4-PLOT Y
EXIT
</textarea>
</td>
<td valign=top nowrap>
<input type=submit value="Run Dataplot">
&nbsp;&nbsp;
(Be patient!)
<br>
<input type=reset value="Reset commands">
<br>
<br>
<samp>FEEDBACK</samp>
&nbsp;&nbsp;
<input type=radio name="fback" value="ON" checked>
<samp>ON</samp>
&nbsp;&nbsp;
<input type=radio name="fback" value="OFF">
<samp>OFF</samp>
</td>
</tr>
</table>
</form>
<br>
<br>
<h3>Example 2</h3>
<form action="http://lime.cam.nist.gov/cgi-bin/wdpi.cgi" method=post>
<table cellpadding=10>
<tr>
<td>
<textarea name="dpcmds" rows=15 cols=35 rows=15 cols=35>
. THIS IS DATAPLOT MACRO MULTSCPL.DP
. PURPOSE--GENERATE UPPER TRIANGLE SCATTER PLOT MULTIPLOT
.
. -----START POINT-----
.
LET X = 1 1 10
LET Y1 = X
LET Y2 = X**2
LET Y3 = X**3
.
LINES BLANK ALL
FRAME CORNER COORDINATES 0 0 100 100
TICS OFF
TIC LABELS OFF
LEGEND 1 JUSTIFICATION CENTER
LEGEND 1 COORDINATES 50 50
.
LET STRING S1 = APPLES
LET STRING S2 = ORANGES
LET STRING S3 = BANANAS
.
LET N = 3
LET NM1 = N-1
LET N2 = 2*N
LEGEND SIZE N2
CHARACTER SIZE N2
MULTIPLOT N N
LOOP FOR J = 1 1 N
   LOOP FOR K = I 1 N
      IF K = J
         MULTIPLOT N N J K
         CHAR BLANK ALL
         LEGEND 1 ^S^J
         PLOT Y^J Y^K
      END IF
      IF K &gt; J
         MULTIPLOT N N J K
         LEGEND 1
         CHAR X ALL
         PLOT Y^J Y^K
      END IF
   END LOOP
END LOOP
EXIT
</textarea>
</td>
<td valign=top nowrap>
<input type=submit value="Run Dataplot">
&nbsp;&nbsp;
(Be patient!)
<br>
<input type=reset value="Reset commands">
<br>
<br>
<samp>FEEDBACK</samp>
&nbsp;&nbsp;
<input type=radio name="fback" value="ON" checked>
<samp>ON</samp>
&nbsp;&nbsp;
<input type=radio name="fback" value="OFF">
<samp>OFF</samp>
</td>
</tr>
</table>
</form>
<br>
<br>
<h3>Example 3</h3>
<form action="http://lime.cam.nist.gov/cgi-bin/wdpi.cgi" method=post>
<table cellpadding=10>
<tr>
<td>
<textarea name="dpcmds" rows=15 cols=35 rows=15 cols=35>
. This is Dataplot program file    WOMELDOR.DP
. Fit of refridgerant flame extinquishment data
.
. -----start point-----
.
. Step 1--Generate simulated data
.
DIMENSION 40 VARIABLES
LET F = DATA 1 1.1 1.2 2 2.1 2.2 3 3.1 3.2 4 4.1 4.2 5 5.1 5.2
LET A = 4.71*F
LET N = NUMBER F
LET Z = NORMAL RANDOM NUMBERS FOR I = 1 1 N
LET Z = Z*(.01/2)
LET F = F+Z
PLOT F A
.
. Step 2--Form variables F/A and F+A
.
LET Y = (F/A)*4.76
LET X = (F+A)*12.26
PLOT Y X
.
. Step 3--Carry out a linear fit
.
LINEAR FIT Y X
.
. Step 4--Define the non-linear function
.
LET FUNCTION NUM = A*(ALPHA+12.26*BETA*A)
LET FUNCTION DEN = 4.76-12.26*BETA*A
LET FUNCTION RATIO = NUM/DEN
.
. Step 5--Carry out the non-linear fit
.
FIT F = RATIO
.
. Step 6--Do simulation and monitor the estimated alpha values
.
LOOP FOR K = 1 1 10
   LET FORIG = F
   LET AORIG = A
   LET FERROR = NORMAL RANDOM NUMBERS FOR I = 1 1 N
   LET FERROR = (.01/2)*FERROR
   LET AERROR = NORMAL RANDOM NUMBERS FOR I = 1 1 N
   LET AERROR = (0.047/2)*AERROR
. LET F = FORIG+(.01/2)*FORIG*FERROR
   LET F = FORIG+FERROR
   LET A = AORIG+AERROR
   FIT F = RATIO
   LET ALPHAVEC(K)=ALPHA
   LET RESSDVEC(K)=RESSD
END LOOP
HISTOGRAM ALPHAVEC
HISTOGRAM RESSDVEC
EXIT
</textarea>
</td>
<td valign=top nowrap>
<input type=submit value="Run Dataplot">
&nbsp;&nbsp;
(Be patient!)
<br>
<input type=reset value="Reset commands">
<br>
<br>
<samp>FEEDBACK</samp>
&nbsp;&nbsp;
<input type=radio name="fback" value="ON" checked>
<samp>ON</samp>
&nbsp;&nbsp;
<input type=radio name="fback" value="OFF">
<samp>OFF</samp>
</td>
</tr>
</table>
</form>
<br>
<br>
<h3>Example 4</h3>
<form action="http://lime.cam.nist.gov/cgi-bin/wdpi.cgi" method=post>
<table cellpadding=10>
<tr>
<td>
<textarea name="dpcmds" rows=15 cols=35 rows=15 cols=35>

</textarea>
</td>
<td valign=top nowrap>
<input type=submit value="Run Dataplot">
&nbsp;&nbsp;
(Be patient!)
<br>
<input type=reset value="Reset commands">
<br>
<br>
<samp>FEEDBACK</samp>
&nbsp;&nbsp;
<input type=radio name="fback" value="ON" checked>
<samp>ON</samp>
&nbsp;&nbsp;
<input type=radio name="fback" value="OFF">
<samp>OFF</samp>
</td>
</tr>
</table>
</form>
<br>
<br>
<hr noshade>
<br>
Report problems with this script to: <a href="mailto:robert.lipman@nist.gov">Robert Lipman</a>
<br>
Written by: <a href="http://math.nist.gov/mcsd/Staff/RLipman/index.html">Robert Lipman</a>, <a href="http://math.nist.gov/mcsd/">Mathematical and Computational Sciences Division</a>,  <a href="http://www.itl.nist.gov/">ITL</a>, <a href="http://www.nist.gov/">NIST</a>
<pre>
Fri Apr  4 18:55:21 EST 1997
</pre>
</body>
</html>
